## Apache Zeta Components Manual :: Docs For Class ezcInputFilter

### UserInput::ezcInputFilter

### Class ezcInputFilter

Provides a set of standard filters.

This class defines a set of filters that can be used with both with PHP's filter extension, or with the ezcInputForm class as callback filter method.

1. <?php
2. $definition=array(
3. 'special'=>array(OPTIONAL,'callback',
4. array('ezcInputFilter','urlFilter') ),
5. );
6. $form=new ezcInputForm ( ezcInputForm ::INPUT_GET,$definition);
7. ?>

Source for this file: /UserInput/src/input_filter.php

Version: | //autogentag//

### Method Summary

public static mixed | `urlFilter( $value , $characterSet )` Receives a variable for filtering. The filter function is free to modify the variable and should return the modified variable.

### Methods

#### urlFilter

static mixed urlFilter( mixed $value , string $characterSet )

Receives a variable for filtering. The filter function is free to modify the variable and should return the modified variable.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$value` | mixed | The variable's value
`$characterSet` | string | The value's character set

Documentation generated by phpDocumentor 1.4.3